### Method

# EBackend Cache remove

since: 3.26

#### Declaration [src]

    gboolean
    e_cache_remove (
      ECache* cache,
      const gchar* uid,
      ECacheOfflineFlag offline_flag,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Removes the object with the given `uid` from the `cache`. Based on the `offline_flag`, it can remove also any information about locally made offline changes. Removing the object with `E_CACHE_IS_OFFLINE` will still remember it for later use with e_cache_get_offline_changes().

Available since: 3.26

#### Parameters

`uid`

  Type: `const gchar*`

  A unique identifier of an object.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`offline_flag`

  Type: `ECacheOfflineFlag`

  One of `ECacheOfflineFlag`, whether removing the object in offline.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.